Appium Appium1.6.0 正式版源码安装 Mac

Gavin · 2016年10月10日 · 最后由 浅浅 回复于 2017年07月18日 · 47 次阅读

Appium1.6 这个版本等的真是让人捉急啊,今天实在按捺不住了,尝试了一下源码安装。
参考这个帖子:https://testerhome.com/topics/5874
安装步骤:

  1. 安装之前一定要把以前的历史版本卸载,否则会出一些这样那怎样的问题 npm uninstall -g appium
  2. github 上下载 appium1.6 正式版的源码 https://codeload.github.com/appium/appium/zip/v1.6.0
  3. 减压下载的文件,进入该目录执行如下命令: npm install
  4. 安装之后要与系统进行关联,执行如下命令 npm link
  5. 安装完成之后用如下命令验证是否安装成功 appium -v 注意:安装过程要从网络上下载很多依赖的程序,所以要保证网络畅通,最好是 *** 的,本人在安装过程中失败过多次。
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
共收到 13 条回复 时间 点赞

棒。试一下

Gavin #15 · 2016年10月10日 Author

有问题我们可以在帖子里面交流,我今天的脚本已经运行起来了,稳定性比 beat 版本增强了不少。

SessionNotCreatedError: A new session could not be created. Details: Appium's IosDriver does not support xcode version 8.0. Apple has deprecated UIAutomation. Use the "XCUITest" automationName capability instead.

好像 Xcode8 不能用了,还是设置的问题?

设置问题,已解决
添加 capabilities.setCapability("automationName", "XCUITest"); //

Gavin #11 · 2016年10月11日 Author

这个版本暂时还是不支持真机

我装完了后运行不起来,老是闪退...logo 上也没发现有用的错误。


安装好慢,失败好多次,,,,,


楼主,接下来怎么办啊?

@Dreamslians,是权限不够吧。用 sudo nam link 试试

谢谢分享

5楼 已删除

npm ERR! tar.unpack unzip error /tmp/npm-13151-f8dec02d/registry.npmjs.org/appium-adb/-/appium-adb-2.6.17.tgz
⸨ ░░░░░░░░░░░░░░░⸩ ⠼ cloneCurrentTree: ERR! tar.unpack unzip error /tmp/npm-13151-f8dec02d/registry.npmjs.org/appium-adb/-/appium-adb-2.6.17.tgz

楼主,npm install 的时候报错了 嘤嘤

#6 楼 @Dreamslians 我也遇到了同样的问题,使用如下方法解决:
sudo npm install --unsafe-perm=true
你也可以试试,

lee Appium1.6.6 Beta 版 源码安装 for Mac 中提及了此贴 06月03日 15:16

@gavingao 我用的是 1.6.5 xcode8.2 ,错误提示:A new session could not be created. Details: Appium's IosDriver does not support xcode version 8.2. Apple has deprecated UIAutomation. Use the "XCUITest" automationName capability instead.

配置里 键值对 也设置为 automationName,XCUITest 但还是报错,请教一下代码在哪设置的

我发现 appium1.6.5 不怎么稳定 针对我前几天提到不支持 xcode8.2 它今天自己治愈了

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册